petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscMPIAbortErrorHandler

Calls MPI_abort() and exits.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMPIAbortErrorHandler(MPI_Comm comm,int line,const char *fun,const char *file,PetscErrorCode n,PetscErrorType p,const char *mess,void *ctx)

Not Collective

### Input Parameters

| comm | - communicator over which error occurred
| line | - the line number of the error (indicated by __LINE__)
| file | - the file in which the error was detected (indicated by __FILE__)
| mess | - an error text string, usually just printed to the screen
| n | - the generic error number
| p | - PETSC_ERROR_INITIAL if error just detected, otherwise PETSC_ERROR_REPEAT
| ctx | - error handler context

### Notes

Most users need not directly employ this routine and the other error handlers, but can instead use the simplified interface SETERRQ, which has the calling sequence

        SETERRQ(comm,n,p,mess)

### Notes for experienced users

Use PetscPushErrorHandler() to set the desired error handler. The currently available PETSc error handlers include PetscTraceBackErrorHandler(), PetscMPIAbortErrorHandler(), PetscAttachDebuggerErrorHandler(), and PetscAbortErrorHandler().

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler(), PetscTraceBackErrorHandler()

### Level

developer

### Location

src/sys/error/errstop.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages